### Name: keyword-methods
### Title: Methods to retrieve keywords of a flowFrame
### Aliases: keyword keyword-methods keyword,flowFrame,missing-method
###   keyword,flowFrame,function-method keyword,flowFrame,character-method
###   keyword,flowFrame,list-method keyword<-
###   keyword<-,flowFrame,list-method keyword<-,flowSet,list-method
###   keyword<-,flowFrame,ANY-method keyword<-,flowFrame,character-method
###   keyword,flowSet,list-method keyword,flowSet,ANY-method
### Keywords: methods

### ** Examples


samp <- read.FCS(system.file("extdata","0877408774.B08", package="flowCore"))
keyword(samp)

keyword(samp, "FCSversion")

keyword(samp, function(x,...) paste(keyword(x, "SAMPLE ID"), keyword(x,
"GUID"), sep="_"))

keyword(samp) <- list(foo="bar")

data(GvHD)
keyword(GvHD, list("GUID", cellnumber=function(x) nrow(x)))

keyword(GvHD) <- list(sample=sampleNames(GvHD))




