### Name: split-methods
### Title: Methods to split flowFrames and flowSets according to filters
### Aliases: split-methods split split,flowFrame,ANY-method
###   split,flowFrame,factor-method split,flowFrame,character-method
###   split,flowFrame,numeric-method split,flowFrame,filter-method
###   split,flowFrame,filterSet-method
###   split,flowFrame,logicalFilterResult-method
###   split,flowFrame,manyFilterResult-method
###   split,flowFrame,multipleFilterResult-method split,flowSet,ANY-method
###   split,flowSet,character-method split,flowSet,factor-method
###   split,flowSet,list-method split,flowSet,numeric-method
###   split,flowSet,filter-method split,flowSet,filterResult-method
### Keywords: methods

### ** Examples


data(GvHD)
qGate <- quadGate(filterId="qg", "FSC-H"=200, "SSC-H"=400)

## split a flowFrame by a filter that creates
## a multipleFilterResult
samp <- GvHD[[1]]
fres <- filter(samp, qGate)
split(samp, qGate)

## return a flowSet rather than a list
split(samp, fres, flowSet=TRUE)

## only keep one population
names(fres)
##split(samp, fres, population="FSC-Height+SSC-Height+")

## split the whole set, only keep two populations
##split(GvHD, qGate, population=c("FSC-Height+SSC-Height+",
##"FSC-Height-SSC-Height+"))

## now split the flowSet according to a factor
split(GvHD, pData(GvHD)$Patient)




